summarylogtreecommitdiffstats
path: root/appimagepool.sh
diff options
context:
space:
mode:
Diffstat (limited to 'appimagepool.sh')
-rw-r--r--appimagepool.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/appimagepool.sh b/appimagepool.sh
new file mode 100644
index 000000000000..db5a30e8863f
--- /dev/null
+++ b/appimagepool.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+_APPDIR=/opt/@appname@
+_RUNNAME="${_APPDIR}/@runname@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+cd "${_APPDIR}"
+exec "${_RUNNAME}" "$@" | exit $? \ No newline at end of file